Debian Bug report logs - #624094
systemd: Fix bus_manager_append_n_jobs : let system boot

version graph

Package: systemd; Maintainer for systemd is Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>; Source for systemd is src:systemd.

Reported by: Alban Browaeys <prahal@yahoo.com>

Date: Mon, 25 Apr 2011 14:06:01 UTC

Severity: important

Merged with 624276

Found in version systemd/25-1

Fixed in version systemd/25-2

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#624094; Package systemd. (Mon, 25 Apr 2011 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
New Bug report received and forwarded. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Mon, 25 Apr 2011 14:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: systemd: Fix bus_manager_append_n_jobs : let system boot
Date: Mon, 25 Apr 2011 16:02:31 +0200
[Message part 1 (text/plain, inline)]
Package: systemd
Version: 25-1
Severity: important

At boot, systemd abort at dbus-manager.c lie 323 on assert(m) where
m is the manager passed via the "data" parameter.
This patch fix this issue by passing the dbus manager as data parameter in
bus_manager_message_handler. 
Issue introduced in commit bfebab7f69cb23f3a488f02bc2be9c8309808221 .


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-rc3test0-00240-ga1b49cb (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages systemd depends on:
ii  initscripts                 2.88dsf-13.4 scripts for initializing and shutt
ii  libaudit0                   1.7.13-1+b2  Dynamic library for security audit
ii  libc6                       2.13-0exp5   Embedded GNU C Library: Shared lib
ii  libcap2                     1:2.20-1     support for getting/setting POSIX.
ii  libcryptsetup1              2:1.2.0-2    libcryptsetup shared library
ii  libdbus-1-3                 1.5.0-1      simple interprocess messaging syst
ii  libpam0g                    1.1.2-2      Pluggable Authentication Modules l
ii  libselinux1                 2.0.98-1     SELinux runtime shared libraries
ii  libudev0                    168-1        libudev shared library
ii  libwrap0                    7.6.q-19     Wietse Venema's TCP wrappers libra
ii  util-linux                  2.17.2-9.1   Miscellaneous system utilities

Versions of packages systemd recommends:
ii  libpam-systemd                25-1.1     system and service manager - PAM m

Versions of packages systemd suggests:
ii  python                        2.6.6-14   interactive high-level object-orie
ii  systemd-gui                   25-1.1     system and service manager - GUI

-- no debconf information
[0001-Fix-bus_manager_handler.txt (text/plain, attachment)]

Merged 624094 624276. Request was from Tollef Fog Heen <tfheen@debian.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 19:57:06 GMT) Full text and rfc822 format available.

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Thu, 28 Apr 2011 20:57:10 GMT) Full text and rfc822 format available.

Notification sent to Alban Browaeys <prahal@yahoo.com>:
Bug acknowledged by developer. (Thu, 28 Apr 2011 20:57:10 GMT) Full text and rfc822 format available.

Message #12 received at 624094-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 624094-close@bugs.debian.org
Subject: Bug#624094: fixed in systemd 25-2
Date: Thu, 28 Apr 2011 20:54:01 +0000
Source: systemd
Source-Version: 25-2

We believe that the bug you reported is fixed in the latest version of
systemd, which is due to be installed in the Debian FTP archive:

libpam-systemd_25-2_amd64.deb
  to main/s/systemd/libpam-systemd_25-2_amd64.deb
systemd-gui_25-2_amd64.deb
  to main/s/systemd/systemd-gui_25-2_amd64.deb
systemd-sysv_25-2_amd64.deb
  to main/s/systemd/systemd-sysv_25-2_amd64.deb
systemd_25-2.debian.tar.gz
  to main/s/systemd/systemd_25-2.debian.tar.gz
systemd_25-2.dsc
  to main/s/systemd/systemd_25-2.dsc
systemd_25-2_amd64.deb
  to main/s/systemd/systemd_25-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624094@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated systemd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Apr 2011 22:20:04 +0200
Source: systemd
Binary: systemd systemd-sysv libpam-systemd systemd-gui
Architecture: source amd64
Version: 25-2
Distribution: experimental
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 libpam-systemd - system and service manager - PAM module
 systemd    - system and service manager
 systemd-gui - system and service manager - GUI
 systemd-sysv - system and service manager - SysV links
Closes: 624094
Changes: 
 systemd (25-2) experimental; urgency=low
 .
   * Handle downgrades more gracefully by removing diversion of
     /lib/lsb/init-functions on downgrades to << 25-1.
   * Cherry-pick a133bf10d09f788079b82f63faa7058a27ba310b from upstream,
     avoids assert when dumping properties.  Closes: #624094
   * Remove "local" in non-function context in init-functions wrapper.
Checksums-Sha1: 
 6ad1b13dd038c55ab1dd9f599725cefec61cad5a 2106 systemd_25-2.dsc
 d69f5e8b0ef360d59971a474ae133c4bffdcfcbd 11921 systemd_25-2.debian.tar.gz
 d8dc2f11bbd65610636335e61ed425c88f2db276 998028 systemd_25-2_amd64.deb
 d37c159e914ad2e333f24bf2babc723d81bb2179 10266 systemd-sysv_25-2_amd64.deb
 19cf8679f736035a0d99da8b55df02c5cec88914 34622 libpam-systemd_25-2_amd64.deb
 a2152977ae85c890b0ddb8923e7779e5d0ac845c 46362 systemd-gui_25-2_amd64.deb
Checksums-Sha256: 
 d19a942639acda4670fc8aa0942081afabaa65c70ffc9ddc0e0bbe159796a403 2106 systemd_25-2.dsc
 4e8695e344724828196b2a2e1597b8fa942c90c517d1f5d3fda370854066e2d3 11921 systemd_25-2.debian.tar.gz
 c7b8c58e0cacec60e0cec5006cfcd58848eff5755303d6e5c7246e76c9a82ad1 998028 systemd_25-2_amd64.deb
 cc4efc5cc8116570eb0ca918f937ced1116c7e28c6d43b97e261cd8cdbd0a051 10266 systemd-sysv_25-2_amd64.deb
 22a8f773807d04069d68f35f0c52b50252ebc12a8002d822243346a9a64279d6 34622 libpam-systemd_25-2_amd64.deb
 b872add0b9cc52b8a4b9b5c8c087ee4d13ccf90e85e822ba3ecd47f2026c9ffc 46362 systemd-gui_25-2_amd64.deb
Files: 
 9fb0fe6c724af2a79d93393f840aa214 2106 admin extra systemd_25-2.dsc
 470a54afbad092835a2a12b9cb334b38 11921 admin extra systemd_25-2.debian.tar.gz
 eda0945c4dfc6d33b83f5fe6af40de82 998028 admin extra systemd_25-2_amd64.deb
 d972c1423b8ccfb6632906106e90cf31 10266 admin extra systemd-sysv_25-2_amd64.deb
 96080804f9ddf823a9f727f6ff94dbc7 34622 admin extra libpam-systemd_25-2_amd64.deb
 f65a243d489a9d5da78fd4256280f154 46362 admin extra systemd-gui_25-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNucJNAAoJELZaSHHKGdcXGTwQAL2biapzN8faqzhWxUU7eCLT
VvbXmL49+JwD3kNp/kjyy2D9B6E6dV7pZ8o3fZVRKubInDoHWhDjmCJBqli1zzjI
q/mgNr/wNLvvmIeZyitDTSjiTYgJMfukYMqWJkfC03mgYrI+5/CTDWnWuWebs3Jh
tCD9Prow1V1VU38pmK4cMVYSKrIghEyWSiMdiEFHOP9oDIyxRlyitNTbgejBdBCS
xp86+jX5IZmHy8oIklVJcv5JoMQm5CMaLf6N2g5lW1xHn/bdhifdArfkwyQXKxeW
4VoKwJ+d1QcWGiFiePbTckXnSNmi5x2uO9hNCD2UmXn0qW9TMXSYrWc7AWziUmuB
R6pH/h4F/ZpkS+9Gn8JdYRcaVsAphmx3r9texVUNloyvuJtwnLUjcEvejZezXBxt
TAj5mjqwtGKZLrWdMrCkBqCXa/DACzYdA5cf9rsXTXVW4G9pEblHFOu6WmIHvYIn
CtjWnAbZftwKZDYvM3O/e0LzaYa5MEUBnOL2YvoJQMMKwKGvH45ce8QMJbjgfrnD
VyBTdycC8G0OCci7+vxR0I8OXVIFlLtg+KOG6WN2e9aBBcare6eDC9kcChcULwHU
gMOrnlrZnf/g5O1I2NnjOhUecSIwL/MkFFBNC3vjSxpjkI8+BO6TbXmVBRZD3PxE
cFseJqzudT/lkKrycXyE
=10th
-----END PGP SIGNATURE-----





Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Thu, 28 Apr 2011 20:57:11 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Thu, 28 Apr 2011 20:57:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 21 Jun 2011 07:38:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:45:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.